{{!-- {{log "inventoryList-item.hbs" this}} --}}
{{!-- {{log "inventoryList-item.hbs looting" looting}} --}}

{{#if (and item.notLootable looting)}}
{{!-- hide No-Drop items when looting --}}
{{else}}
    <li class="item item-entry flexrow reveal-hidden "
        data-id="{{item.id}}" data-item-id="{{item.id}}" data-type="{{item.type}}" data-loot="{{looting}}" data-uuid="{{item.uuid}}">
            <div class="item-image"><img src="{{item.img}}" data-tooltip="{{item.name}}" /></div>
            <div class="flexrow">
                {{#if item.contains}}
                    {{#if (eq item.flags.osric.display.collapsedState 'none')}}
                        <div class="item-container-collapsed"><i class="fas fa-caret-right"></i></div>
                    {{/if}}
                {{/if}}
                <div class="item-name text-trunc {{item.css}} item-preview">
                    <h4>
                        {{item.name}}
                    </h4>
                </div>
                <div class="item-location">
                    <div class="item-location-controls">
                        <i class="fas fa-{{lookup config.locationStates.fasicons item.system.location.state}}" data-tooltip="{{localize (concat "ARS.locationStates." item.system.location.state)}}"></i>
                    </div>
                </div>
            </div>
            
        <div data-tooltip="{{item.system.quantity}}" class="short-field">{{#if item.system.quantity}}{{item.system.quantity}}{{/if}}</div>
        <div data-tooltip="{{item.system.carriedweight}}" class="short-field">{{#if item.system.carriedweight}}{{item.system.carriedweight}}{{/if}}</div>
        <div class="item-controls">
            <a class="item-control item-edit hidden" data-tooltip="Edit Item"><i class="fas fa-edit"></i></a>
            <a class="item-control item-delete hidden" data-tooltip="Delete Item"><i class="fas fa-trash"></i></a>
        </div>
    </li>
    {{#if item.contains}}
        <div class="in-container" data-container-id="{{item.id}}" style="display: {{item.flags.osric.display.collapsedState}}">
            {{#each item.contains as |subItem subId|}}
                {{> "systems/osric/templates/parts/actor/inventoryList-item.hbs" looting=../looting isGM=@root.isGM item=subItem config=@root.config}}
            {{/each}}
        </div>
    {{/if}}

{{/if}}